# GpxPod Nextcloud application

![CI](https://github.com/julien-nc/gpxpod/workflows/CI/badge.svg?branch=main&event=push)
[![coverage report](https://github.com/julien-nc/gpxpod/raw/gh-pages/coverage.svg)](https://julien-nc.github.io/gpxpod/)
[![Crowdin](https://d322cqt584bo4o.cloudfront.net/gpxpod/localized.svg)](https://crowdin.com/project/gpxpod)

Application to display gpx, kml, igc, fit and tcx files collections,
view elevation profiles and tracks stats, color tracks by speed, elevation or pace 
and compare divergent parts of similar tracks.

🌍 Help us to translate this app on [GpxPod Crowdin project](https://crowdin.com/project/gpxpod).

GpxPod :

* 🗺 can display your gpx/kml/tcx/igc/fit files
* 📏 supports metric, english and nautical measure systems
* 🗠 draws interactive chart for elevation, speed, pace or any extension data
* 🗠 use line gradient color for track lines with speed, elevation, pace or any extension data
* 🗠 shows track statistics
* 🖻 displays geotagged pictures
* 🖧 generates public links pointing to a track/folder
* 🗠 can correct tracks elevations using SRTM data
* ⚖ can make global comparison of multiple tracks
* ⚖ can make visual pair comparison of divergent parts of similar tracks
* 🀆 allows users to add personal map tile servers
* 🖍 allows user to manually choose line color for each track
* 🔒 works with encrypted data folder (server side encryption)
* 🍂 proudly uses Leaflet, MapLibre GL and MapTiler

## Donation

I develop this app during my free time.

* [Donate with Paypal : <img src="https://gitlab.com/eneiluj/gpxpod-oc/wikis/uploads/6e360ae31aa5730bfc1362e88ae791f9/paypal-donate-button.png" width="80"/>](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=66PALMY8SF5JE) (you don't need a paypal account).
* [Donate with Liberapay : ![Donate using Liberapay](https://liberapay.com/assets/widgets/donate.svg)](https://liberapay.com/eneiluj/donate)

## Known issues

* _WARNING_, kml conversion will NOT work with recent kml files using the proprietary "gx:track" extension tag.

Any feedback will be appreciated.
